Bug 609511 - Not able to unsubscribe multiple entitlement using serial number
Not able to unsubscribe multiple entitlement using serial number
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
: QA-Closed
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2010-06-30 09:18 EDT by spandey
Modified: 2015-04-23 19:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 15:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2010-06-30 09:18:37 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prequisities : 
Candlepin : 10.16.120.139 standalone configured by fog machine 
client : Rhel 6 with SM version 66


Steps to repro : 
Login to client console and execute following command 
subscription-manager-cli subscribe --pool=9 –pool=1
now unsubscribe the subscribed entitlement using following command 

 subscription-manager-cli unsubscribe --serial=137 –serial=138

Expected Result : 
using above step both entitlement should remove from client 

Actual Result : 
Above command is removing only the last serial number 

eg : 
[root@sachrhel6 ~]# subscription-manager-cli unsubscribe --serial=137 --serial=138

/consumers/b22d5efe-0f9f-4316-b908-140626580744/certificates/138

[root@sachrhel6 ~]# subscription-manager-cli list

+-------------------------------------------+

    Installed Product Status

+-------------------------------------------+



ProductName:            RHEL for Physical Servers SVC

Status:                 Not Installed            

Expires:                2011-06-24               

Subscription:           137                      

ContractNumber:         8                        





ProductName:            RHEL for Premium Architectures SVC

Status:                 Not Installed            

Expires:                2011-06-24               

Subscription:           137                      

ContractNumber:         8
Comment 2 RHEL Product and Program Management 2010-06-30 09:43:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 wes hayutin 2010-07-14 17:54:25 EDT
recreated:

[root@oldceremony ~]# subscription-manager-cli register --username=xeops --password=redhat
g43a1e1b5-d13d-47a7-8862-5fd21d374749 admin XEOPS
[root@oldceremony ~]# subscription-manager-cli subscribe --pool=198 --pool=200
[root@oldceremony ~]# subscription-manager-cli list
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

ProductName:        	JBoss jBPM Framework (for up to 4 CPUs), Premium
Status:             	Not Installed            
Expires:            	2012-02-05               
Subscription:       	341                      
ContractNumber:        	1525456                  


ProductName:        	Red Hat Enterprise Linux Advanced Platform, Premium (Unlimited Sockets) (Legacy SVC0373)
Status:             	Not Installed            
Expires:            	2012-02-12               
Subscription:       	340                      
ContractNumber:        	1523750                  

[root@oldceremony ~]# 
[root@oldceremony ~]# subscription-manager-cli unsubscribe --serial=341 --serial=340
/consumers/43a1e1b5-d13d-47a7-8862-5fd21d374749/certificates/340
[root@oldceremony ~]# subscription-manager-cli list
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

ProductName:        	JBoss jBPM Framework (for up to 4 CPUs), Premium
Status:             	Not Installed            
Expires:            	2012-02-05               
Subscription:       	341                      
ContractNumber:        	1525456

Note You need to log in before you can comment on or make changes to this bug.